using System;

namespace madjionicar
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] u1 = Console.ReadLine().Split();
            int n = int.Parse(u1[0]);
            int k = int.Parse(u1[1]);
            string sk = k.ToString();
            string[] u2 = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
                if (sk == u2[i])
                    if (i + 1 < n)
                        Console.WriteLine(u2[i + 1]);
                    else
                        Console.WriteLine(u2[0]);
        }
    }
}